package examenes.examen20250131.ejercicio02;

import examenes.examen20250131.ejercicio02.exceptions.EdadInvalidaException;

public class Persona {
    private int edad;

    public Persona(int edad) throws EdadInvalidaException {
        if (edad < 0) throw new EdadInvalidaException("La edad de una persona no puede ser negativa: " + edad);
        this.edad = edad;
    }

    public int getEdad() {
        return edad;
    }

    public void setEdad(int edad) {
        this.edad = edad;
    }

    @Override
    public String toString() {
        return "Persona{" +
                "edad=" + edad +
                '}';
    }
}
